Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.tck
Class AbstractPicoContainerTest.TestBehavior

    java.lang.Object
      org.picocontainer.behaviors.AbstractBehavior
          org.picocontainer.tck.AbstractPicoContainerTest.TestBehavior

All Implemented Interfaces:
  Serializable, org.picocontainer.Behavior, org.picocontainer.ComponentAdapter, org.picocontainer.ComponentLifecycle, org.picocontainer.ComponentMonitorStrategy, org.picocontainer.LifecycleStrategy

Enclosing class:
  AbstractPicoContainerTest

    public static final class AbstractPicoContainerTest.TestBehavior

extends org.picocontainer.behaviors.AbstractBehavior
implements org.picocontainer.Behavior

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Field Summary
`ArrayList<org.picocontainer.PicoContainer>` | `started`

Fields inherited from class org.picocontainer.behaviors.AbstractBehavior
`delegate`

Constructor Summary
`AbstractPicoContainerTest.TestBehavior(org.picocontainer.ComponentAdapter delegate)`

Method Summary
`boolean` | `componentHasLifecycle()`
`void` | `dispose(org.picocontainer.PicoContainer node)`
`String` | `getDescriptor()`
`void` | `start(org.picocontainer.PicoContainer node)`
`void` | `stop(org.picocontainer.PicoContainer node)`

Methods inherited from class org.picocontainer.behaviors.AbstractBehavior
`accept, changeMonitor, currentMonitor, dispose, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentInstance, getComponentKey, getDelegate, hasLifecycle, isStarted, start, stop, toString, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.picocontainer.ComponentAdapter
`accept, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentInstance, getComponentKey, getDelegate, verify`

Methods inherited from interface org.picocontainer.ComponentLifecycle
`isStarted`

Field Detail

### started

    public final ArrayList<org.picocontainer.PicoContainer> started

Constructor Detail

### AbstractPicoContainerTest.TestBehavior

    public AbstractPicoContainerTest.TestBehavior(org.picocontainer.ComponentAdapter delegate)

Method Detail

### start

    public void start(org.picocontainer.PicoContainer node)

  Specified by:
    `start` in interface `org.picocontainer.ComponentLifecycle`
  Overrides:
    `start` in class `org.picocontainer.behaviors.AbstractBehavior`

### stop

    public void stop(org.picocontainer.PicoContainer node)

  Specified by:
    `stop` in interface `org.picocontainer.ComponentLifecycle`
  Overrides:
    `stop` in class `org.picocontainer.behaviors.AbstractBehavior`

### dispose

    public void dispose(org.picocontainer.PicoContainer node)

  Specified by:
    `dispose` in interface `org.picocontainer.ComponentLifecycle`
  Overrides:
    `dispose` in class `org.picocontainer.behaviors.AbstractBehavior`

### componentHasLifecycle

    public boolean componentHasLifecycle()

  Specified by:
    `componentHasLifecycle` in interface `org.picocontainer.ComponentLifecycle`
  Overrides:
    `componentHasLifecycle` in class `org.picocontainer.behaviors.AbstractBehavior`

### getDescriptor

    public String getDescriptor()

  Specified by:
    `getDescriptor` in interface `org.picocontainer.ComponentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.